@ECHO off

ECHO.
ECHO ************************************************************************
ECHO Synaptics FingerPrint Driver for Windows 11 64bit -WW-
ECHO ************************************************************************
ECHO.

:: BatchGotAdmin
:-------------------------------------
REM  --> Check for permissions
>nul 2>&1 "%SYSTEMROOT%\system32\cacls.exe" "%SYSTEMROOT%\system32\config\system"

REM --> If error flag set, we do not have admin.
if '%errorlevel%' NEQ '0' (
    echo Requesting administrative privileges...
    goto UACPrompt
) else ( goto gotAdmin )

:UACPrompt
    echo Set UAC = CreateObject^("Shell.Application"^) > "%temp%\getadmin.vbs"
    echo UAC.ShellExecute "%~s0", "", "", "runas", 1 >> "%temp%\getadmin.vbs"

    "%temp%\getadmin.vbs"
    exit /B

:gotAdmin
    if exist "%temp%\getadmin.vbs" ( del "%temp%\getadmin.vbs" )
    pushd "%CD%"
    CD /D "%~dp0"
:--------------------------------------

cd /d "%~dp0"

::Install four INF file
ECHO Installing Synaptics FingerPrint Driver. Please wait...
PnpUtil.exe /add-driver .\synaWudfBioUsbUwp.inf /i
PnpUtil.exe /add-driver .\synaSecureBioON.inf /i

:installend
ECHO.
ECHO Please restart the system to install driver completely!!
ECHO.

:End